## org.apache.http.concurrent
Interface FutureCallback<T>

Type Parameters:
  `T` - the future result type returned by this callback.

    public interface FutureCallback<T>

A callback interface that gets invoked upon completion of a `Future`.

Since:
  4.2

Method Summary
`void` `cancelled()`
`void` `completed(T result)`
`void` `failed(Exception ex)`

Method Detail

### completed

    void completed(T result)

### failed

    void failed(Exception ex)

### cancelled

    void cancelled()

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.